> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Recent Trades



## OpenAPI

````yaml /openapi/public/http-v4.yaml GET /api/v4/public/trades/{market}
openapi: 3.0.3
info:
  title: Public HTTP API V4
  description: >
    WhiteBIT Public HTTP API V4 for market data and trading information.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.

    All endpoints return either a JSON object or array.

    Use HTTP method GET for API calls.

    Send parameters as query string when an endpoint requires them.


    <Warning>

    Rate limit: 2000 requests/10 sec for most endpoints (specific limits noted
    per endpoint).

    </Warning>
  version: 4.0.0
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Public API V4
    description: Public endpoints for market data, trading information, and platform status
paths:
  /api/v4/public/trades/{market}:
    get:
      tags:
        - Public API V4
      summary: Recent Trades
      description: >
        The endpoint retrieves the [trades](/glossary#deal-trade) that have been
        executed recently on the requested [market](/glossary#market).


        <Note>

        The API caches the response for 1 second

        </Note>


        <Note>
          Public trade data can include executions that originate from RPI orders. Public order book feeds (`depth`, `bookTicker`) exclude RPI orders. RPI orders appear only in private active orders and in the exchange UI order book (web and mobile).
        </Note>



        <Warning>

        Rate limit 2000 requests/10 sec.

        </Warning>
      parameters:
        - name: market
          in: path
          required: true
          description: Market pair name
          schema:
            type: string
            example: BTC_USDT
        - name: type
          in: query
          required: false
          description: Can be buy or sell
          schema:
            type: string
            enum:
              - buy
              - sell
            example: sell
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - tradeID
                    - price
                    - quote_volume
                    - base_volume
                    - trade_timestamp
                    - type
                  properties:
                    tradeID:
                      type: integer
                      description: >-
                        A unique ID associated with the trade for the currency
                        pair transaction Note: Unix timestamp does not qualify
                        as trade_id.
                      example: 158056419
                    price:
                      type: string
                      description: Transaction price in quote pair volume.
                      example: '9186.13'
                    quote_volume:
                      type: string
                      description: Transaction amount in quote pair volume.
                      example: '0.0021'
                    base_volume:
                      type: string
                      description: Transaction amount in base pair volume.
                      example: '9186.13'
                    trade_timestamp:
                      type: integer
                      description: >-
                        Unix timestamp in milliseconds, identifies when the
                        transaction occurred.
                      example: 1594391747
                    type:
                      type: string
                      description: >-
                        Used to determine whether or not the transaction
                        originated as a buy or sell. Buy – Identifies an ask
                        that was removed from the order book. Sell – Identifies
                        a bid that was removed from the order book.
                      enum:
                        - buy
                        - sell
                      example: sell
                    rpi:
                      type: boolean
                      description: >-
                        Indicates that the trade originates from a Retail Price
                        Improvement (RPI) order.
                      example: true
              example:
                - tradeID: 158056419
                  price: '9186.13'
                  quote_volume: '0.0021'
                  base_volume: '0.0021'
                  trade_timestamp: 1594391747
                  type: sell
                  rpi: true
                - tradeID: 158056416
                  price: '9186.13'
                  quote_volume: '0.002751'
                  base_volume: '0.002751'
                  trade_timestamp: 1594391746
                  type: sell
                  rpi: false
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV4'
components:
  schemas:
    ErrorV4:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          description: Error message
          example: ERROR MESSAGE
        params:
          type: array
          items:
            type: string
          example: []

````